Skip to content

Get all actions for all Elastic Access line items of the instance

Request

API to fetch all actions for all Elastic Access line items of the instance.

Security
AdministrationAccess or ClientAccess
Path
instanceIdstring, (uuid)required

The UUID of the Dynamic Monetization instance.

Query
nextinteger

The pagination cursor returned from the previous GET request. Use it to fetch the next set of line items, along with their associated actions. If there are no more line items, the returned cursor value is 0. If not provided in the request, the cursor defaults to 0.

curl -i -X GET \
  'https://siteID.flexnetoperations.com/dynamicmonetization/api/v1.1/instances/{instanceId}/line-items/actions?next=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

A list of actions was returned successfully.

Bodyapplication/json
Array [
lineItemsArray of objects(ActivationActions)

The list of instances.

nextinteger

If there are more actions to get, this value will be non-zero and can be used in a subsequent GET request to retrieve the next page of actions.

]
Response
[ { "lineItems": [ … ], "next": 0 } ]